## org.h2.mvstore
Class MVStoreTool

    java.lang.Object
      org.h2.mvstore.MVStoreTool

    public class MVStoreTool

extends java.lang.Object

Utility methods used in combination with the MVStore.

Constructor Summary
`MVStoreTool()`

Method Summary
`static void` `dump(java.lang.String fileName)` Read the contents of the file and write them to system out.
`static void` `dump(java.lang.String fileName, java.io.Writer writer)` Read the contents of the file and display them in a human-readable format.
`static void` `info(java.lang.String fileName)` Read the summary information of the file and write them to system out.
`static void` `info(java.lang.String fileName, java.io.Writer writer)` Read the summary information of the file and write them to system out.
`static void` `main(java.lang.String... args)` Runs this tool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVStoreTool

    public MVStoreTool()

Method Detail

### main

    public static void main(java.lang.String... args)

  Runs this tool. Options are case sensitive. Supported options are:

  [-dump <fileName>] | Dump the contends of the file
  [-info <fileName>] | Get summary information about a file

  Parameters:
    `args` - the command line arguments

### dump

    public static void dump(java.lang.String fileName)

  Read the contents of the file and write them to system out.

  Parameters:
    `fileName` - the name of the file

### info

    public static void info(java.lang.String fileName)

  Read the summary information of the file and write them to system out.

  Parameters:
    `fileName` - the name of the file

### dump

    public static void dump(java.lang.String fileName,
                            java.io.Writer writer)

  Read the contents of the file and display them in a human-readable format.

  Parameters:
    `fileName` - the name of the file
    `writer` - the print writer

### info

    public static void info(java.lang.String fileName,
                            java.io.Writer writer)

  Read the summary information of the file and write them to system out.

  Parameters:
    `fileName` - the name of the file
    `writer` - the print writer